/*
 * fancyqt4.h
 *
 *  Created on: 09.12.2009
 *      Author: wglas
 */

#ifndef FANCYQT4_H_
#define FANCYQT4_H_

#ifdef WIN32
# ifdef FANCYQT4_SHARED_LIBRARY
#  ifdef __GNUC__
#   ifdef BUILD_fancyqt4_DLL
#    define FANCYQT4_API __attribute__((dllexport))
#    define FANCYQT4_I18N_API __attribute__((dllexport,format_arg (1)))
#    define FANCYQT4_I18N_N_API __attribute__((dllexport,format_arg (1),format_arg (2)))
#   else
#    define FANCYQT4_API __attribute__((dllimport))
#    define FANCYQT4_I18N_API __attribute__((dllimport,format_arg (1)))
#    define FANCYQT4_I18N_N_API __attribute__((dllimport,format_arg (1),format_arg (2)))
#   endif
#  else
#   ifdef FANCYQT4_BUILD_SLIB
#    define FANCYQT4_API __declspec(dllexport)
#   else
#    define FANCYQT4_API __declspec(dllimport)
#   endif
#  endif
# else
#  define FANCYQT4_I18N_API __attribute__((format_arg (1)))
#  define FANCYQT4_I18N_N_API __attribute__((format_arg (1),format_arg (2)))
# endif
#else
# ifdef __GNUC__
#  define FANCYQT4_INTERNAL_API __attribute__((visibility("hidden")))
#  define FANCYQT4_I18N_API __attribute__((format_arg (1)))
#  define FANCYQT4_I18N_N_API __attribute__((format_arg (1),format_arg (2)))
# endif
#endif

#ifndef FANCYQT4_INTERNAL_API
#define FANCYQT4_INTERNAL_API
#endif

#ifndef FANCYQT4_API
#define FANCYQT4_API
#endif

#ifndef FANCYQT4_I18N_API
#define FANCYQT4_I18N_API FANCYQT4_API
#endif

#ifndef FANCYQT4_I18N_N_API
#define FANCYQT4_I18N_N_API FANCYQT4_API
#endif

#endif /* FANCYQT4_H_ */
