/*
 * fancyqt4exception.h
 *
 *  Created on: 06.12.2009
 *      Author: wglas
 */

#ifndef FANCYQT4EXCEPTION_H_
#define FANCYQT4EXCEPTION_H_

#include <fancyqt4.h>

namespace std { class exception; }

namespace Fancy {

class Exception;
class Throwable;
template<class T> class ObjPtr;

namespace Qt4 {
class InvocationException;

FANCYQT4_API void reportException(const Fancy::ObjPtr<InvocationException> &ie);

FANCYQT4_API void reportException(const Fancy::Exception &e);

FANCYQT4_API void reportException(const std::exception &e);

}}

#endif /* FANCYQT4EXCEPTION_H_ */
